{ lib, namespace, ... }:
let
  inherit (lib.${namespace}) enabled;
in
{
  home.keyboard.options = [ "apple:alupckeys" ];

  ${namespace} = {
    isDesktop = true;

    appearance = {
      base = enabled;
      gtk = enabled;
      qt = enabled;
    };
    programs = {
      amfora = enabled;
      bat = enabled;
      btop = enabled;
      cava = enabled;
      cheat = enabled;
      curl = enabled;
      eza = enabled;
      figlet = enabled;
      fish = enabled;
      fzf = enabled;
      gh = enabled;
      git = enabled;
      glow = enabled;
      journalctl = enabled;
      neo = enabled;
      systemctl = enabled;
    };
    xorg = {
      xsession = enabled;
    };
  };

  home.stateVersion = "24.05";
}
