{
  lib,
  namespace,
  pkgs,
  ...
}:
let
  inherit (lib.${namespace}) enabled;
in
{
  # Anything in this folder should not include an enable/disable option. This is
  # the only folder that is always applied.
  config = {
    ${namespace}.my = {
      name = "marley";
      username = "punkfairie";
      fullName = "Marley Rae";
      email = "marley@punkfairie.net";
    };

    # Tell nix what version it is.
    nix.package = pkgs.nix;

    home.language.base = "en_US.UTF-8";

    programs.home-manager = enabled;

    # Autostart wanted systemd services.
    systemd.user.startServices = true;
  };
}
