{ config, lib, ... }:
let
  has-delta = config.programs.git.delta.enable;
  has-difftastic = config.programs.git.difftastic.enable;
in
{
  programs.lazygit = {
    enable = true;

    settings = {
      gui.nerdFontsVersion = 3;

      git.paging = {
        colorArg = "always";
        pager = lib.mkIf has-delta "delta --paging=never --features=arctic-fox";
        externalDiffCommand = lib.mkIf has-difftastic "difft --color=always --display=inline";
      };

      os.editPreset = "nvim-remote";
    };
  };

  home.shellAbbrs = {
    lzg = "lazygit";
  };
}
